Bug 717250 - OpenConnect VPN support missing
Summary: OpenConnect VPN support missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-plasma-networkmanagement
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-28 12:52 UTC by David Woodhouse
Modified: 2011-09-30 18:50 UTC (History)
6 users (show)

Fixed In Version: kde-plasma-networkmanagement-0.9-0.59.20110919git.nm09.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-27 22:59:00 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 226028 None None None Never

Description David Woodhouse 2011-06-28 12:52:01 UTC
https://bugs.kde.org/show_bug.cgi?id=226028 has finally been fixed, adding OpenConnect VPN support for KDE users.

It was committed to git last night.

Please update the Fedora 15 package to include this support.

Note that it requires OpenConnect v3.03 which I haven't actually released yet; let alone packaged for Fedora. I'll be doing that soon, as soon as it's had a little more testing.

Comment 1 Rex Dieter 2011-06-28 12:54:46 UTC
Thanks!  please do poke us when OpenConnect v3.03 (or newer) is available in fedora.

Comment 2 David Woodhouse 2011-06-30 00:13:33 UTC
Rawhide now has OpenConnect 3.10.

I have updated the openconnect and NetworkManager-openconnect packages in F15 git too, although I haven't built them. Perhaps we want to do a chain-build of openconnect and your updated kde-plasma-networkmanagement package? And we might as well rebuild NetworkManager-openconnect too, so it's using the new shared library instead of the static library that no longer exists.

Comment 3 Kevin Kofler 2011-06-30 11:11:06 UTC
I think kde-plasma-networkmanagement-openconnect will require NetworkManager-openconnect to work properly.

I'm CCing Volker on this, they're using an AnyConnect VPN at his workplace, so any updates on the OpenConnect situation will be helpful to him.

Comment 4 Kevin Kofler 2011-06-30 11:22:28 UTC
So, are we going to get this stuff into F15 too?

FYI, our current 20110616git.nm09.fc15 build is now going out to stable, so we're ready to start working on the new snapshot with OpenConnect support.

Comment 5 David Woodhouse 2011-06-30 14:29:50 UTC
(In reply to comment #3)
> I think kde-plasma-networkmanagement-openconnect will require
> NetworkManager-openconnect to work properly.

NM-openconnect already exists and works for GNOME — and will work with KDE too. The existing F15 binary package will continue to work with no changes. The only reason to rebuild that is to make it use the shared libopenconnect.so instead of the static libopenconnect.a that it is currently built with (and which will no longer be provided by the F15 openconnect package).

Comment 6 David Woodhouse 2011-08-25 23:15:43 UTC
The F16 package of kde-plasma-networkmanagement got updated to a snapshot which includes the openconnect support, but the BuildRequires: pkgconfig(openconnect) and the additional subpackage weren't added to the specfile, so it's still missing in F16.

I've taken the liberty of fixing this in rawhide; I'll let you push it to f16 too.

Comment 7 David Woodhouse 2011-08-25 23:23:43 UTC
Once the F15 update of openconnect (https://admin.fedoraproject.org/updates/openconnect-3.11-1.fc15) is pushed, we can update kde-plasma-networkmanagement in f15 too

Comment 8 Fedora Update System 2011-08-26 00:08:51 UTC
kde-plasma-networkmanagement-0.9-0.55.20110812git.nm09.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kde-plasma-networkmanagement-0.9-0.55.20110812git.nm09.fc16

Comment 9 Kevin Kofler 2011-08-28 23:16:57 UTC
Unfortunately, it looks like we also need the fix for:
https://bugs.kde.org/show_bug.cgi?id=280913

I'm now building a new snapshot (kde-plasma-networkmanagement-0.9-0.56.20110828git.nm09.fc17) for Rawhide, but the new snapshot requires NM 0.9.0 final, which is still in testing in F16 and still pending (queued for testing) in F15. So I guess we'll have to wait things out a bit more. I could also backport the OpenConnect fix, but I'm not sure it's worth it.

Comment 10 Fedora Update System 2011-09-15 17:47:17 UTC
kde-plasma-networkmanagement-0.9-0.57.20110907git.nm09.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kde-plasma-networkmanagement-0.9-0.57.20110907git.nm09.fc15

Comment 11 Fedora Update System 2011-09-16 02:00:30 UTC
Package kde-plasma-networkmanagement-0.9-0.57.20110907git.nm09.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-plasma-networkmanagement-0.9-0.57.20110907git.nm09.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/kde-plasma-networkmanagement-0.9-0.57.20110907git.nm09.fc15
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2011-09-27 22:58:36 UTC
kde-plasma-networkmanagement-0.9-0.59.20110919git.nm09.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-09-30 18:50:45 UTC
kde-plasma-networkmanagement-0.9-0.59.20110919git.nm09.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.